vgimport of LVM 2 failed

 
Fred Ruffet
Honored Contributor

vgimport of LVM 2 failed

Hi all,

 

I have an issue, moving a VG from a server to another. Here are the steps of what I've done :

 

1. On source 11.31 server I have a LVM 2.1 VG (group file has a 128 major number). I export it, unpresent the LUNs.

2. present the LUNs to another 11.31 server.

3. create the directory and group file (128 major too).

4. issue a vgchid of the 4 PVs.

5. create a mapfile of the 2 LVs on it and vgimport of the vg.

 

I have the following message :

The major number for the group file "/dev/vgtmp/group" corresponds to
volume group version 2.x

 

It's a procedure I used so many times on LVM 1 without any problem . The VG I try to import was an LVM 1 that has been migrated to 2.

 

Best regards,

 

Fred

--

"Reality is just a point of view." (P. K. D.)
4 REPLIES 4
Torsten.
Acclaimed Contributor

Re: vgimport of LVM 2 failed

Make sure the host supports this LVM version:


Version2.0volumegroupsarenotrecognizedonpreviousreleasesofHP-UX,including
versionsofHP-UX11iVersion3beforeMarch2008.Version2.1volumegroupsarenot
recognizedonpreviousreleasesofHP-UX,includingversionsofHP-UX11iVersion3before
September2008.Version2.2volumegroupsareonlysupportedonsystemsoperatingwith
theHP-UX11iVersion3March2010Updateandforward.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Torsten.
Acclaimed Contributor

Re: vgimport of LVM 2 failed

Version 2.0 volume groups are not recognized on previous releases of HP-UX, including
versions of HP-UX 11i Version 3 before March 2008. Version 2.1 volume groups are not
recognized on previous releases of HP-UX, including versions of HP-UX 11i Version 3 before
September 2008. Version 2.2 volume groups are only supported on systems operating with
the HP-UX 11i Version 3 March 2010 Update and forward.


Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Fred Ruffet
Honored Contributor

Re: vgimport of LVM 2 failed

t both systems have been installed with the same distribution. If LVM version is supported on one, it should be on the other.

 

source server and destination server are march 2011 releases.

 

--

"Reality is just a point of view." (P. K. D.)
Fred Ruffet
Honored Contributor

Re: vgimport of LVM 2 failed

Following suggestion of a friend, I've tried to do the same without creating VG group file and directory. Here is the result :

 

Beginning the import process on Volume Group "vgtmp".
Verification of unique LVM disk id on each disk in the volume group
/dev/vgtmp failed.
Following are the sets of disks having identical LVM disk id
/dev/disk/disk178 /dev/disk/disk181 /dev/disk/disk180 /dev/disk/disk179

--

"Reality is just a point of view." (P. K. D.)